# wxVersionInfo Class Reference
[Data Structures]

`#include <wx/versioninfo.h>`

## Detailed Description

wxVersionInfo contains version information.

This class is used by wxWidgets to provide version information about the libraries it uses and itself, but you can also apply it in user space, to provide version information about your own libraries, or other libraries that you use.

##

Library: wxBase

Category: Data Structures
Include file:

    #include <wx/versioninfo.h>

Since:
  2.9.2

## Public Member Functions
| wxVersionInfo (const wxString &name, int major, int minor, int micro=0, const wxString &description=wxString(), const wxString &copyright=wxString())
| Constructor.
const wxString & | GetName () const
| Get the name of the object (library).
int | GetMajor () const
| Get the major version number.
int | GetMinor () const
| Get the minor version number.
int | GetMicro () const
| Get the micro version, or release number.
wxString | ToString () const
| Get the string representation of this version object.
wxString | GetVersionString () const bool HasDescription() const
| Get the string representation.
const wxString & | GetDescription ()
| Get the description string.
bool | HasCopyright () const
| Returns true if a copyright string has been specified.
const wxString & | GetCopyright () const
| Get the copyright string.

List of all members.

## Constructor & Destructor Documentation

wxVersionInfo::wxVersionInfo | ( | const wxString & | name,
|  | int | major,
|  | int | minor,
|  | int | micro = `0`,
|  | const wxString & | description = `wxString()`,
|  | const wxString & | copyright = `wxString()` |
| ) |  |  |

Constructor.

The version information objects need to be initialized with this constructor and are immutable once they are created.

Parameters:

  | name | The name of the library or other entity that this object pertains to.
  | major | The major version component.
  | minor | The minor version component.
  | micro | The micro version component, 0 by default.
  | description | Free form description of this version, none by default.
  | copyright | Copyright string, none by default.

## Member Function Documentation

const wxString& wxVersionInfo::GetCopyright | ( |  | ) | const

Get the copyright string.

The copyright string may be empty.

Returns:
  The copyright string.

const wxString& wxVersionInfo::GetDescription | ( |  | ) |

Get the description string.

The description may be empty.

Returns:
  The description string, free-form.

int wxVersionInfo::GetMajor | ( |  | ) | const

Get the major version number.

Returns:
  Major version number.

int wxVersionInfo::GetMicro | ( |  | ) | const

Get the micro version, or release number.

Returns:
  Micro version, or release number.

int wxVersionInfo::GetMinor | ( |  | ) | const

Get the minor version number.

Returns:
  Minor version number.

const wxString& wxVersionInfo::GetName | ( |  | ) | const

Get the name of the object (library).

Returns:
  Name string.

wxString wxVersionInfo::GetVersionString | ( |  | ) | const

Get the string representation.

The micro component of the version is ignored/not used if it is 0.

Returns:
  The version string in the form "name major.minor[.micro]". Return true if a description string has been specified.

See also:
  GetDescription()

bool wxVersionInfo::HasCopyright | ( |  | ) | const

Returns true if a copyright string has been specified.

See also:
  GetCopyright()

wxString wxVersionInfo::ToString | ( |  | ) | const

Get the string representation of this version object.

This function returns the description if it is non-empty or GetVersionString() if there is no description.

See also:
  GetDescription(), GetVersionString()

|  | [ top ]